/* ----------- SLIDESHOW ------------------------------------------------------------------------------------ */
* {
    --borderradius: 20px;
}

/* Slideshow container */
.slideshow-container {
    width: 90%;
    position: relative;
    margin: auto;
    margin-top: 2rem;
    border-radius: var(--borderradius);
    overflow: hidden;
}

/* Hide the images by default */
.mySlides {
    display: none;
}

.mySlides>* {
    width: 100%;
}

.slideImg {
    object-fit: cover;
    width: 100%;
    min-height: 85vh;
    max-height: 70vh;
    border-radius: var(--borderradius);
}

.bigger {
    min-height: 75vh;
    max-height: 80vh;
}

/* Next & previous buttons */
.prev,
.next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    margin-top: -22px;
    padding: 16px;
    color: white;
    font-weight: bold;
    font-size: 18px;
    transition: 0.6s ease;
    border-radius: var(--borderradius);
    user-select: none;
}

/* Position the "next button" to the right */
.next {
    right: 0;
    border-radius: var(--borderradius);
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover,
.next:hover {
    background-color: rgba(0, 0, 0, 0.8);
}

/* The dots/bullets/indicators */
.dot {
    cursor: pointer;
    height: 15px;
    width: 15px;
    margin: 0 2px;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.6s ease;
    margin-bottom: 1rem;
}


.dots {
    position: relative;
    transform: translateY(-150%);
    margin-bottom: -15px;
}

.active,
.dot:hover {
    background-color: #717171;
}

/* Fading animation */
.fade {
    animation-name: fade;
    animation-duration: 1.5s;
}

@keyframes fade {
    from {
        opacity: .4
    }

    to {
        opacity: 1
    }
}


/* Responisve Design */
@media only screen and (max-width: 1000px) {
    div.slideshow-container {
        width: 100%;
    }

    .slideImg {
        min-height: 65vh;
        max-height: 50vh;
    }
}
@media only screen and (max-width: 800px) {
    div.slideshow-container {
        width: 100%;
    }

    .slideImg {
        min-height: 45vh;
        max-height: 30vh;
    }
}
@media only screen and (max-width: 560px) {
    div.slideshow-container {
        width: 100%;
    }

    .slideImg {
        min-height: 25vh;
        max-height: 10vh;
    }
}